Page MenuHomePhabricator

Enable Flow on a single wikitext talk page that already exists, choosing archive name and handling archiving automatically
Closed, ResolvedPublic

Description

Enhance Special:EnableFlow to allow enabling Flow on a talk page that already exists.

Those last two should already be implemented by the Import code.

It needs to report in detail any problems it has, e.g. "Enabled Flow on Talk: *Some Page* but did not archive existing wikitext content (failure *Xxxx*)"

Issues

  • How do we deal with Redirects? (Page-Moving an active Flow board will need to leave redirects behind.) (Should work the same way Import code does).

Broken out from T72073: U4. Special page to enable Flow on existing wikitext talk pages, auto-archiving the wikitext page (v2).

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 16 2015, 9:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF set Security to None.
DannyH triaged this task as Normal priority.Apr 17 2015, 5:33 PM
DannyH moved this task from Untriaged to Product/Design Work on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
DannyH closed this task as Resolved.Aug 21 2015, 10:29 PM
DannyH claimed this task.
DannyH moved this task from Product/Design Work to Freezer on the Collaboration-Team-Triage board.